$(document).ready(function(){
    $("input[@name='pmtprice']").livequery('keyup',function(){
        $(this).val($(this).val().replace(/[^(\d|\.)]/g,''));
    });
    $("input[@name='pmtnum']").livequery('keyup',function(){
        $(this).val($(this).val().replace(/\D/g,""));
    });
    $("input[@name='limitnum']").livequery('keyup',function(){
        $(this).val($(this).val().replace(/\D/g,""));
    });
    $("input[@name='sort']").livequery('keyup',function(){
        $(this).val($(this).val().replace(/\D/g,""));
    });
	$("#btnSave").bind('click' ,function(){
		if($("input[@name='pmtprice']").length<=0){
			alert('请选择参加促销的商品');
			return false;
		}
		$("input[@name='pmtprice']").each(function(){
			var price =Number($(this).val());
			if(isNaN(price)){
				alert('请正确填写抢购价');
				return false;
			}
		});
		$("input[@name='pmtnum']").each(function(){
			var re = /^[1-9]+[0-9]*]*$/;
			if(!re.test($(this).val())){
				alert('限购数量必填且为正整数');
				return false;
			}
		});
		$("input[@name='limitnum']").each(function(){
			var re = /^[1-9]+[0-9]*]*$/;
			if(!re.test($(this).val())){
				alert('限购数量必填且为正整数');
				return false;
			}
		});
		return true;
	});
});